## WebKitDOMHTMLAppletElement WebKitDOMHTMLAppletElement |

## Functions

gchar * | webkit_dom_html_applet_element_get_align ()
void | webkit_dom_html_applet_element_set_align ()
gchar * | webkit_dom_html_applet_element_get_alt ()
void | webkit_dom_html_applet_element_set_alt ()
gchar * | webkit_dom_html_applet_element_get_archive ()
void | webkit_dom_html_applet_element_set_archive ()
gchar * | webkit_dom_html_applet_element_get_code ()
void | webkit_dom_html_applet_element_set_code ()
gchar * | webkit_dom_html_applet_element_get_code_base ()
void | webkit_dom_html_applet_element_set_code_base ()
gchar * | webkit_dom_html_applet_element_get_height ()
void | webkit_dom_html_applet_element_set_height ()
glong | webkit_dom_html_applet_element_get_hspace ()
void | webkit_dom_html_applet_element_set_hspace ()
gchar * | webkit_dom_html_applet_element_get_name ()
void | webkit_dom_html_applet_element_set_name ()
gchar * | webkit_dom_html_applet_element_get_object ()
void | webkit_dom_html_applet_element_set_object ()
glong | webkit_dom_html_applet_element_get_vspace ()
void | webkit_dom_html_applet_element_set_vspace ()
gchar * | webkit_dom_html_applet_element_get_width ()
void | webkit_dom_html_applet_element_set_width ()

## Properties

char * | align | Read / Write
char * | alt | Read / Write
char * | archive | Read / Write
char * | code | Read / Write
char * | code-base | Read / Write
char * | height | Read / Write
glong | hspace | Read / Write
char * | name | Read / Write
char * | object | Read / Write
glong | vspace | Read / Write
char * | width | Read / Write

## Types and Values

struct | WebKitDOMHTMLAppletElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLAppletElement

## Implemented Interfaces

WebKitDOMHTMLAppletElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_applet_element_get_align ()

    gchar *
    webkit_dom_html_applet_element_get_align
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_align ()

    void
    webkit_dom_html_applet_element_set_align
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_alt ()

    gchar *
    webkit_dom_html_applet_element_get_alt
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_alt` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_alt ()

    void
    webkit_dom_html_applet_element_set_alt
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_alt` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_archive ()

    gchar *
    webkit_dom_html_applet_element_get_archive
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_archive` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_archive ()

    void
    webkit_dom_html_applet_element_set_archive
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_archive` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_code ()

    gchar *
    webkit_dom_html_applet_element_get_code
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_code` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_code ()

    void
    webkit_dom_html_applet_element_set_code
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_code` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_code_base ()

    gchar *
    webkit_dom_html_applet_element_get_code_base
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_code_base` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_code_base ()

    void
    webkit_dom_html_applet_element_set_code_base
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_code_base` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_height ()

    gchar *
    webkit_dom_html_applet_element_get_height
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_height ()

    void
    webkit_dom_html_applet_element_set_height
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_hspace ()

    glong
    webkit_dom_html_applet_element_get_hspace
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_hspace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A glong

### webkit_dom_html_applet_element_set_hspace ()

    void
    webkit_dom_html_applet_element_set_hspace
                                   (WebKitDOMHTMLAppletElement *self,
                                    glong value);

`webkit_dom_html_applet_element_set_hspace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A glong |

### webkit_dom_html_applet_element_get_name ()

    gchar *
    webkit_dom_html_applet_element_get_name
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_name ()

    void
    webkit_dom_html_applet_element_set_name
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_object ()

    gchar *
    webkit_dom_html_applet_element_get_object
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_object` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_object ()

    void
    webkit_dom_html_applet_element_set_object
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_object` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_vspace ()

    glong
    webkit_dom_html_applet_element_get_vspace
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_vspace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A glong

### webkit_dom_html_applet_element_set_vspace ()

    void
    webkit_dom_html_applet_element_set_vspace
                                   (WebKitDOMHTMLAppletElement *self,
                                    glong value);

`webkit_dom_html_applet_element_set_vspace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A glong |

### webkit_dom_html_applet_element_get_width ()

    gchar *
    webkit_dom_html_applet_element_get_width
                                   (WebKitDOMHTMLAppletElement *self);

`webkit_dom_html_applet_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_width ()

    void
    webkit_dom_html_applet_element_set_width
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

`webkit_dom_html_applet_element_set_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLAppletElement

    struct WebKitDOMHTMLAppletElement;

## Property Details

### The `“align”` property

      “align”                    char *

read-write gchar* HTMLAppletElement:align.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“alt”` property

      “alt”                      char *

read-write gchar* HTMLAppletElement:alt.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“archive”` property

      “archive”                  char *

read-write gchar* HTMLAppletElement:archive.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“code”` property

      “code”                     char *

read-write gchar* HTMLAppletElement:code.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“code-base”` property

      “code-base”                char *

read-write gchar* HTMLAppletElement:code-base.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   char *

read-write gchar* HTMLAppletElement:height.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“hspace”` property

      “hspace”                   glong

read-write glong HTMLAppletElement:hspace.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     char *

read-write gchar* HTMLAppletElement:name.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“object”` property

      “object”                   char *

read-write gchar* HTMLAppletElement:object.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""

### The `“vspace”` property

      “vspace”                   glong

read-write glong HTMLAppletElement:vspace.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    char *

read-write gchar* HTMLAppletElement:width.

Owner: WebKitDOMHTMLAppletElement

Flags: Read / Write

Default value: ""